curl --request GET \
--url https://api.us.cr4ce.com/category \
--header 'Accept: <accept>' \
--header 'x-api-key: <api-key>'import requests
url = "https://api.us.cr4ce.com/category"
headers = {
"Accept": "<accept>",
"x-api-key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Accept: '<accept>', 'x-api-key': '<api-key>'}};
fetch('https://api.us.cr4ce.com/category', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"current_page": 1,
"data": [
{
"created": "2024-05-23T13:37:43Z",
"description": {
"en_GB": "Submit your documentary films exploring real-world subjects and stories."
},
"divisions": 1,
"form": {
"slug": "GhIjKlMn",
"link": "https://api.au.cr4ce.com/form/GhIjKlMn",
"name": {
"en_GB": "Application form"
}
},
"name": {
"en_GB": "Documentary"
},
"parent": null,
"promoted": null,
"season": {
"slug": "QrStUvWx",
"link": "https://api.au.cr4ce.com/season/QrStUvWx",
"name": {
"en_GB": "2025"
}
},
"shortcode": {
"en_GB": "01"
},
"slug": "AbCdEfGh",
"status": "active",
"updated": "2025-05-07T16:18:07Z",
"chapter_count": 4,
"application_count": 3
},
{
"created": "2025-02-10T10:00:00Z",
"description": {
"en_GB": "Submit short films under 40 minutes in length."
},
"divisions": 1,
"form": {
"slug": "GhIjKlMn",
"link": "https://api.au.cr4ce.com/form/GhIjKlMn",
"name": {
"en_GB": "Application form"
}
},
"name": {
"en_GB": "Short Film"
},
"parent": {
"slug": "KlMnOpQr",
"link": "https://api.au.cr4ce.com/category/KlMnOpQr",
"name": {
"en_GB": "Film"
}
},
"promoted": 1,
"season": {
"slug": "QrStUvWx",
"link": "https://api.au.cr4ce.com/season/QrStUvWx",
"name": {
"en_GB": "2025"
}
},
"shortcode": {
"en_GB": "02"
},
"slug": "WxYzAbCd",
"status": "active",
"updated": "2025-02-10T10:05:00Z",
"chapter_count": 2,
"application_count": 0
}
],
"first_page_url": "https://api.au.cr4ce.com/category?per_page=10&page=1",
"from": 1,
"last_page": 7,
"last_page_url": "https://api.au.cr4ce.com/category?per_page=10&page=7",
"next_page_url": "https://api.au.cr4ce.com/category?per_page=10&page=2",
"path": "https://api.au.cr4ce.com/category",
"per_page": 10,
"prev_page_url": "",
"to": 10,
"total": 66
}{
"message": "<string>",
"status_code": 400
}{
"message": "<string>",
"status_code": 401
}{
"message": "<string>",
"status_code": 403
}{
"message": "<string>",
"status_code": 429
}{
"status": "Maintenance in progress"
}List categories
List categories.
Authorizations
API key used to authenticate and authorise every request.
Include it in the x-api-key header.
Headers
Defines the response type.
application/vnd.Creative Force.v2.3+json, application/vnd.Creative Force.v2.3+xml Defines the languages included in the response. If non are provided, the account default language is returned.
Value all overrides any other values present.
You can request multiple languages using a comma-separated string of languages.
The selected language must be supported by your account or a 400 error is returned.
all, ar_AR, bg_BG, bn_IN, ca_ES, cs_CZ, cy_GB, da_DK, de_DE, en_GB, en_US, el_GR, es_NN, es_LA, et_EE, fa_NN, fi_FI, fr_FR, fr_CA, he_IL, hi_IN, hr_HR, hu_HU, hy_AM, it_IT, ja_JP, ko_KR, lt_LT, ms_MY, nl_NL, nb_NO, pl_PL, pt_BR, ro_RO, ru_RU, sk_SK, sl_SI, sq_AL, sr_RS, sv_SE, sw_NN, th_TH, tr_TR, uk_UA, vi_VN, zh_CN, zh_HK Query Parameters
Filter by status.
active, inactive Filter by chapter slug.
Filter by form slug.
Use the value all to include results from every form rather than a single form.
Filter by parent category slug.
Filter by season slug.
Use all to show all seasons.
Filter by deletion mode.
only- Show only deleted resources.included- Include deleted resources.none- Exclude deleted resources.
only, included, none Specify the page number to return.
x >= 1Limit the number of items returned to between 1 and 100.
If you provide a value outside this range, you will receive a 400 response.
1 <= x <= 100Sort by a supported category field.
parent- Sort by parent slug.season- Sort by season slug.
chapter_count, created, divisions, application_count, form, name, parent, promoted, season, shortcode, status, updated Sort in ascending or descending order. Invalid values are rejected with 400 Bad Request.
asc, desc Response
Paginated list of categories.
Number of the page returned by this response, starting at 1.
URL of the first page in the result set, relative when the requested page is beyond the last page.
Position of the first record on this page within the full result set, starting at 1, or null when the requested page is beyond the last page.
Total number of pages.
URL of the last page in the result set, relative when the requested page is beyond the last page.
URL of the next page in the result set, empty when the current page is the last page.
Canonical URL of the endpoint, without query parameters.
Maximum number of records returned per page.
URL of the previous page in the result set, empty when the current page is the first page.
Position of the last record on this page within the full result set, or null when the requested page is beyond the last page.
Total number of records across all pages.
Show child attributes
Show child attributes